#include <iostream>

using namespace std;

// 1 1
// 3 1
// 3 3
// 1 4
// 3 5
//x 2*1 3*3
//y 2*1
int main()
{
    int k,p,f=0;
    cin>>k;
    bool px[k]={false};
    bool py[k]={false};
    for(int i=0;i<k;i++)
    {
        cin>>p;
        if(px[p-1])f++;
        else px[p-1]=true;
        cin>>p;
        if(py[p-1])f++;
        else py[p-1]=true;
    }
    cout<<f<<endl;
    return 0;
}